Bug 980530 - Bpm5Processor does not support processes containing sub-processes
Bpm5Processor does not support processes containing sub-processes
Status: VERIFIED
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: JBPM - within SOA (Show other bugs)
5.3.1
Unspecified Unspecified
medium Severity medium
: GA
: CONTINUING
Assigned To: tcunning
:
Depends On:
Blocks: 986007
  Show dependency treegraph
 
Reported: 2013-07-02 11:54 EDT by Martin Weiler
Modified: 2014-03-05 11:36 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBESB-3945 Major Closed Bpm5Processor does not support processes containing sub-processes 2014-06-04 09:10:00 EDT

  None (edit)
Description Martin Weiler 2013-07-02 11:54:55 EDT
Description of problem:
Bpm5Processor (or rather AbstractBpm5Action) adds the configured process definitions to the knowledgebase:

kbuilder.add(ResourceFactory.newClassPathResource(processDefName), ResourceType.BPMN2);

But there is no support for processes which are calling sub-processes. The class should be extended to read a list of process definition names from the configuration, and add them all to the kbase, so that process->sub-process invocation is possible from Bpm5Processor.

Note You need to log in before you can comment on or make changes to this bug.